Package org.apache.lucene.queryparser.flexible.core.nodes

## Class QuotedFieldQueryNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.core.nodes.FieldQueryNode
    - - org.apache.lucene.queryparser.flexible.core.nodes.QuotedFieldQueryNode

- All Implemented Interfaces:
    `Cloneable`, `FieldableNode`, `FieldValuePairQueryNode<CharSequence>`, `QueryNode`, `TextableQueryNode`, `ValueQueryNode<CharSequence>`

      public class QuotedFieldQueryNode
      extends FieldQueryNode

  A `QuotedFieldQueryNode` represents phrase query. Example: "life is great"

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.FieldQueryNode

      `begin, end, field, positionIncrement, text`

    - ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuotedFieldQueryNode​(CharSequence field, CharSequence text, int begin, int end)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QuotedFieldQueryNode` | `cloneTree()` | Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
    `CharSequence` | `toQueryString​(EscapeQuerySyntax escaper)` | convert to a query string understood by the query parser
    `String` | `toString()` | Every implementation of this class should return pseudo xml like this:

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.FieldQueryNode

      `getBegin, getEnd, getField, getFieldAsString, getPositionIncrement, getTermEscaped, getTermEscapeQuoted, getText, getTextAsString, getValue, setBegin, setEnd, setField, setPositionIncrement, setText, setValue`

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

      `add, add, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, removeChildren, removeFromParent, set, setTag, unsetTag`

- - ### Constructor Detail

    - #### QuotedFieldQueryNode

          public QuotedFieldQueryNode​(CharSequence field,
                                      CharSequence text,
                                      int begin,
                                      int end)

      Parameters:
        `field` - - field name
        `text` - - value
        `begin` - - position in the query string
        `end` - - position in the query string

  - ### Method Detail

    - #### toQueryString

          public CharSequence toQueryString​(EscapeQuerySyntax escaper)

      Description copied from interface: `QueryNode`
      convert to a query string understood by the query parser
      Specified by:
        `toQueryString` in interface `QueryNode`
      Overrides:
        `toQueryString` in class `FieldQueryNode`

    - #### toString

          public String toString()

      Description copied from class: `QueryNodeImpl`
      Every implementation of this class should return pseudo xml like this:

      For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

      Specified by:
        `toString` in interface `QueryNode`
      Overrides:
        `toString` in class `FieldQueryNode`
      See Also:
        `QueryNode.toString()`

    - #### cloneTree

          public QuotedFieldQueryNode cloneTree()
                                         throws CloneNotSupportedException

      Description copied from interface: `QueryNode`
      Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
      Specified by:
        `cloneTree` in interface `QueryNode`
      Overrides:
        `cloneTree` in class `FieldQueryNode`
      Returns:
        the cloned tree
      Throws:
        `CloneNotSupportedException`